Bug 576318 - [abrt] crash in firefox-3.6.1-1.fc13: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.1-1.fc13: Process /usr/lib64/firefox-3.6/firefox ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:72ea1a829ae6d6775d0a8ca1066...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-23 15:49 EDT by Christophe Dumez
Modified: 2011-12-07 08:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-07 08:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.53 KB, text/plain)
2010-03-23 15:49 EDT, Christophe Dumez
no flags Details

  None (edit)
Description Christophe Dumez 2010-03-23 15:49:29 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.6/firefox
component: firefox
executable: /usr/lib64/firefox-3.6/firefox
kernel: 2.6.33-1.fc13.x86_64
package: firefox-3.6.1-1.fc13
rating: 4
reason: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Rawhide)

How to reproduce
-----
1. From time to time, firefox eats a lot of CPU (~90%)
2. When this happens, I close firefox to restore normal CPU usage
3. On closing, I get this crash
Comment 1 Christophe Dumez 2010-03-23 15:49:32 EDT
Created attachment 402130 [details]
File: backtrace
Comment 2 Chris Campbell 2010-03-24 19:28:59 EDT
Thread 1 (Thread 2327):
#0  0x000000336fa0f90b in __flockfile (stream=0x917)
    at ../nptl/sysdeps/pthread/flockfile.c:30
        __self = 0x0
        __self = 0x0
#1  0x000000357727f81a in nsProfileLock::FatalSignalHandler (signo=11)
    at nsProfileLock.cpp:212
        unblock_sigs = {__val = {1024, 0 <repeats 15 times>}}
        oldact = <value optimized out>
#2  0x000000336fa0fa40 in __libc_sigaction (sig=2327, act=0x917, oact=0xb)
    at ../sysdeps/unix/sysv/linux/x86_64/sigaction.c:57
        result = <value optimized out>
        kact = {k_sa_handler = 0, sa_flags = 139881576646192, 
          sa_restorer = 0x1, sa_mask = {__val = {0, 24, 139881487656752, 0, 
              0, 139881319498624, 24, 0, 139881319498624, 0, 
              12297829382473034410, 0, 140734524002080, 220945602357, 66182, 
              51}}}
        koact = {k_sa_handler = 0, sa_flags = 0, sa_restorer = 0, sa_mask = {
            __val = {0, 0, 0, 0, 0, 0, 0, 0, 139882010023848, 
              139881319498624, 0, 220916152896, 0, 0, 0, 219043332098}}}
#3  0x0000000000000000 in ?? ()
No symbol table info available.

Reporter, unfortunatly this back-trace does not have enough information, by itself, to troubleshoot this crash. If you can be more specific, or better yet, can get an exact series of steps we can use to reproduce this issue, perhaps we can begin to troubleshoot this issue.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Matěj Cepl 2010-05-11 17:29:55 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Christophe Dumez 2010-05-11 17:38:58 EDT
I was unable to find out the exact steps to reproduce the crash. I am also quite surprise that nobody else reported it because it was a clean install of F13 and it happened quite often.

Anyway, I can no longer debug this because I moved to another distro. Sorry.
I guess you can close it if you cannot reproduce it. Anyway, F13 will be out soon and if there is a problem, other users will probably report it again.
Comment 5 Bug Zapper 2010-07-30 07:10:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Martin Stransky 2011-12-07 08:09:31 EST
We're using mozilla crash reporter now, ABRT is no more used for Firefox/Thunderbird. If you can reliably reproduce the crash (you have a testcase, reproduction steps, etc.) please reopen the bug and attach the reproduction info and assign it directly to me (stransky@redhat.com).

Thanks!

Note You need to log in before you can comment on or make changes to this bug.